/*
 * xrick/src/scr_getname.c
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#include "system.h"
#include "game.h"
#include "screens.h"

#include "draw.h"
#include "control.h"

/*
 * local vars
 */
static U8 seq = 0;

/*
 * Get name
 *
 * return: 0 while running, 1 when finished.
 */
U8
screen_getname(void)
{
  if (seq == 0) {
    draw_tilesBank = 0;
    seq = 2;
  }

  switch (seq) {
  case 2:  /* seq 2, wait for key pressed */
    if (control_status & CONTROL_FIRE)
      seq = 3;
    else
      sys_sleep(50);
    break;

  case 3:  /* seq 3, wait for key released */
    if (!(control_status & CONTROL_FIRE))
      seq = 4;
    else
      sys_sleep(50);
    break;
  }

  if (control_status & CONTROL_EXIT)  /* check for exit request */
    return SCREEN_EXIT;

  if (seq == 4) {  /* seq 4, we're done */
    sysvid_clear();
    seq = 0;
    return SCREEN_DONE;
  }
  else
    return SCREEN_RUNNING;
}

/* eof */
